Bug 211088 - Review Request: mISDN - Userspace part for Modular ISDN stack
Review Request: mISDN - Userspace part for Modular ISDN stack
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-17 05:58 EDT by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 08:04:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-10-17 05:58:26 EDT
Spec URL: http://david.woodhou.se/opbx/mISDN.spec
SRPM URL: http://david.woodhou.se/opbx/mISDN-0-1.cvs20061010.fc6.src.rpm
Description: 
mISDN (modular ISDN) is intended to be the new ISDN stack for the Linux 2.6
kernel, from the maintainer of the existing isdn4linux code. This package
contains the userspace libraries required to interface directly to mISDN.

rpmlint complains of no documentation in subpackages which have none, but is otherwise silent.
Comment 1 Jeffrey C. Ollie 2006-10-17 09:39:12 EDT
* source files match upstream (can't compare MD5 since this package
  currently uses a CVS snapshot).
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint has only acceptable complaints.
* %check is not present; no test suite upstream.  Asterisk mISDN
  channel compiles against package (but I can't test since I don't
  have the appropriate hardware).
* shared libraries are present; ldconfig is called properly.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel subpackage.
* unversioned .so file is in the -devel subpackage.
* no pkgconfig files.
* no libtool .la droppings.

Approved.
Comment 2 David Woodhouse 2006-10-18 08:04:15 EDT
... And built.

Note You need to log in before you can comment on or make changes to this bug.